import 'package:flutter/material.dart';
import 'package:saw/models/system_window_button.dart';
import 'package:saw/models/system_window_decoration.dart';
import 'package:saw/models/system_window_padding.dart';
import 'package:saw/models/system_window_text.dart';
import 'package:saw/system_alert_window.dart';
import 'package:saw/utils/commons.dart';

class SystemWindowHeader {
   SystemWindowText title;
  SystemWindowText? subTitle;
  SystemWindowButton? button;
  SystemWindowPadding? padding;
  ButtonPosition? buttonPosition;
  SystemWindowDecoration? decoration;

  SystemWindowHeader(
      {required this.title,
      this.subTitle,
      this.button,
      this.padding,
      this.buttonPosition,
      this.decoration});

  Map<String, dynamic> getMap() {
    final Map<String, dynamic> map = <String, dynamic>{
      'title': title.getMap(),
      'subTitle': subTitle?.getMap(),
      'button': button?.getMap(),
      'padding': padding?.getMap(),
      'buttonPosition': Commons.getPosition(buttonPosition!),
      'decoration': decoration?.getMap()
    };
    return map;
  }
}
